SystemOrganization addCategory: #'GT-Tests-Inspector'!

TestCase subclass: #GTInspectorSmokeTest
	instanceVariableNames: 'windows'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

GTInspectorSmokeTest subclass: #GTInspectorCollectionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorCollectionTest methodsFor: 'tests' stamp: 'TudorGirba 8/19/2011 23:15'!
objectToTest 
	^ #(1  2 a something)! !

GTInspectorSmokeTest subclass: #GTInspectorCompiledMethodTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorCompiledMethodTest methodsFor: 'tests' stamp: 'TudorGirba 8/20/2011 00:15'!
objectToTest 
	^ self class >> #objectToTest! !

GTInspectorSmokeTest subclass: #GTInspectorDictionaryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorDictionaryTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 23:36'!
objectToTest 
	| dict |
	dict := Dictionary new.
	dict at: 4 put: 2.
	dict at: #a put: 'value'.
	^ dict! !

GTInspectorSmokeTest subclass: #GTInspectorFormTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorFormTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 23:27'!
objectToTest 
	^ GLMUIThemeExtraIcons glamorousBrowse ! !

GTInspectorSmokeTest subclass: #GTInspectorMethodContextTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorMethodContextTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 23:37'!
objectToTest 
	^ thisContext! !

GTInspectorSmokeTest subclass: #GTInspectorMorphTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorMorphTest methodsFor: 'tests' stamp: 'TudorGirba 8/19/2011 23:12'!
objectToTest 
	^ RectangleMorph new! !

GTInspectorSmokeTest subclass: #GTInspectorNumberTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorNumberTest methodsFor: 'tests' stamp: 'TudorGirba 8/19/2011 23:08'!
objectToTest 
	^ 42! !

!GTInspectorSmokeTest classSide methodsFor: 'testing' stamp: 'TudorGirba 8/19/2011 23:10'!
isAbstract
	^ self name = #GTInspectorSmokeTest! !

!GTInspectorSmokeTest methodsFor: 'tests' stamp: 'TudorGirba 8/19/2011 23:08'!
objectToTest.

	^ self subclassResponsability! !

!GTInspectorSmokeTest methodsFor: 'running' stamp: 'TudorGirba 8/19/2011 23:05'!
setUp 
	windows := OrderedCollection new! !

!GTInspectorSmokeTest methodsFor: 'running' stamp: 'TudorGirba 8/19/2011 23:06'!
tearDown 
	windows do: [ :each | each delete ]! !

!GTInspectorSmokeTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 09:04'!
testEachPresentation

	| pragmas objectToTest browser window |

	objectToTest := self objectToTest.
	pragmas := Pragma 
				allNamed: #gtInspectorPresentationOrder: 
				from: objectToTest class 
				to: Object 
				sortedUsing: [: x :y | (x argumentAt: 1) < (y argumentAt: 1)].
	pragmas do: [ :eachPragma | 
		browser := GLMTabulator new.
		browser column: #one.
		browser transmit to: #one; andShow: [:composite | 
			objectToTest perform: eachPragma selector with: composite].
		window := browser openOn: objectToTest.
		windows add: window ]! !

GTInspectorSmokeTest subclass: #GTInspectorStringTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorStringTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 09:15'!
objectToTest 
	^ 'string'! !

Object subclass: #GTUnprintableObject
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTUnprintableObject commentStamp: 'TudorGirba 8/21/2011 08:59' prior: 0!
This is a test helper class for testing an error in printString!

!GTUnprintableObject methodsFor: 'as yet unclassified' stamp: 'JorgeRessia 3/12/2011 13:10'!
printString
	1/0! !

GLMMorphicTest subclass: #GTUnprintableObjectTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTUnprintableObjectTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 09:20'!
testInspectDoesNotCrash
	window := GTInspector openOn: GTUnprintableObject new ! !
